Bug 1181404 (CVE-2014-8154) - CVE-2014-8154 Vala: Heap-buffer overflow in vala-gstreamer bindings at Gst.MapInfo()
Summary: CVE-2014-8154 Vala: Heap-buffer overflow in vala-gstreamer bindings at Gst.Ma...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2014-8154
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1177840
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-13 05:39 UTC by Huzaifa S. Sidhpurwala
Modified: 2021-02-17 05:49 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-15 22:30:18 UTC


Attachments (Terms of Use)

Description Huzaifa S. Sidhpurwala 2015-01-13 05:39:36 UTC
Sergey "Shnatsel" Davidoff  reported a heap-based buffer overflow in Vala Gstreamer bindings in the Gst.MapInfo() function. Further details are available in the following Red Hat bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1177840

This issue was also reported via: 
https://bugzilla.gnome.org/show_bug.cgi?id=678663 

and fixed in the following commit:

https://git.gnome.org/browse/vala/commit/?id=3092537db65887e24a3d3e87a27caf9c5295e4f7

Comment 1 Huzaifa S. Sidhpurwala 2015-01-13 05:42:41 UTC
Statement:

Not vulnerable. This issue does not affect the version of vala package as shipped with Red Hat Enterprise Linux 7.


Note You need to log in before you can comment on or make changes to this bug.